rem Examples of keytool commands
pause
echo ==========================================
echo Test Keytool
echo ------------------------------------------

keytool -list

del monks.jks didier.cer didier.csr rsakeypair.cer

keytool -genkey -dname "cn=Didier Donsez, ou=IMAG, o=UJF, l=Grenoble, c=FR" -alias didier -keypass totototo -keystore monks.jks -storepass tutututu -validity 30
keytool -list -alias didier -keystore monks.jks -storepass tutututu

keytool -genkey -alias sylvain -keypass tatatata -keystore monks.jks -storepass tutututu
keytool -list -keystore monks.jks -storepass tutututu

keytool -delete -alias sylvain -keystore monks.jks -storepass tutututu
keytool -list -keystore monks.jks -storepass tutututu

keytool -export -alias didier -file didier.cer -keystore monks.jks -storepass tutututu
keytool -printcert -file didier.cer
keytool -certreq -alias didier -file didier.csr -keystore monks.jks -storepass tutututu -keypass totototo

rem export Certificat from Netscape Communicator or Internet Explorer
keytool -list -keystore donsez.p12 -storetype PKCS12
keytool -import -alias nadia -file nadia.p7b -keystore monks.jks -storepass tutututu
keytool -list -keystore monks.jks -storepass tutututu

keytool -genkey -dname "cn=Test RSA KeyPair, ou=IMAG, o=UJF, l=Grenoble, c=FR" -alias rsakeypair -keypass titititi -keystore monks.jks -storepass tutututu -validity 1 -keyalg RSA -keysize 512
keytool -export -alias rsakeypair -file rsakeypair.cer -keystore monks.jks -storepass tutututu

keytool -printcert -file verisign.cer
keytool -printcert -file globalsign.cer

keytool -import -alias verisign -file verisign.cer -keystore monks.jks -storepass tutututu
keytool -import -alias globalsign -file globalsign.cer -keystore monks.jks -storepass tutututu

pause
echo ==========================================
echo Test SimpleKeytool
echo ------------------------------------------

java SimpleKeytool monks.jks tutututu
